<template>
  <h1>The Progressive JavaScript Framework</h1>
  <hr />
  <p>{{ msg.toUpperCase() }}</p>
  {{ buttonHTML }}
  <span v-html="buttonHTML"></span>
  <p v-bind:style="color">TEST</p>
  <a :href="web">Google</a>
  {{ num1 }}
<h2 :style="`color: ${'aqua'}`">${{ savings }}</h2>
<h2 :style="`color:${price >= 200 ? 'green' : 'red'};`">${{ price }}</h2>
<h2 :class="total >= 650 ? 'bottom' : 'background' ">${{ total }}</h2>
</template>

<style>
  .bottom{
    color: red;
  }
  .background {
    color: green;
  }
  h1{
    color: rgb(231, 149, 25);
  }
</style>

<script>
const msg = "Hello"
const buttonHTML = "<button>Click Me</button>"
const color = "color: white;background-color: yellow"
const web = "https://www.google.com"
const num1 = 2*5
const savings = 350
const price = 150
const total = 500
export default {
  name:'App',

  data() {
    return {
      total,
      price,
      num1,
      msg,
      buttonHTML,
      color,
      web,
      savings,
    };
  },

};
</script>
